
function Skinner:AdvancedTradeSkillWindow()
	if not self.db.profile.TradeSkill then return end

	self:keepRegions(ATSWFrame, {8, 15, 16, 17, 18, 21, 22, 23}) -- N.B. these regions are text
	ATSWFrame:SetWidth(ATSWFrame:GetWidth() -30)
	self:moveObject(ATSWFrameTitleText, nil, nil, "+", 8)
	self:moveObject(ATSWFrameCloseButton, "+", 28, "+", 8)
	self:keepRegions(ATSWRankFrame, {1, 2}) -- N.B. other regions are text
	self:removeRegions(ATSWRankFrameBorder)
	self:moveObject(ATSWRankFrame, "+", 4, "+", 5)
	self:glazeStatusBar(ATSWRankFrame, 0)
	self:removeRegions(ATSWListScrollFrame)
	self:skinScrollBar(ATSWListScrollFrame)
	self:removeRegions(ATSWExpandButtonFrame)
	self:removeRegions(ATSWInvSlotDropDown, {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(ATSWSubClassDropDown, {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(ATSWQueueScrollFrame)
	self:skinScrollBar(ATSWQueueScrollFrame)
	self:skinEditBox(ATSWInputBox)
	self:skinEditBox(ATSWFilterBox)
	self:applySkin(ATSWFrame)
	
	-- Reagent Frame
	self:removeRegions(ATSWReagentFrame, {1, 2, 3, 4}) -- N.B. other regions are text
	ATSWReagentFrame:SetWidth(ATSWReagentFrame:GetWidth() * FxMult + 20)
	ATSWReagentFrame:SetHeight(ATSWReagentFrame:GetHeight() * FyMult + 10)
	self:moveObject(ATSWReagentFrameCloseButton, "+", 28, "+", 8)
	self:applySkin(ATSWReagentFrame)
	
	-- Options Frame
	ATSWOptionsFrame:SetWidth(ATSWOptionsFrame:GetWidth() * FxMult + 30)
	ATSWOptionsFrame:SetHeight(ATSWOptionsFrame:GetHeight() * FyMult)
	self:applySkin(ATSWOptionsFrame)
	
	-- Continue Frame
	self:applySkin(ATSWContinueFrame)
	
	-- Tooltip 
	self:skinTooltip(ATSWTradeskillTooltip)

	-- AutoBuyButton Frame
	self:applySkin(ATSWAutoBuyButtonFrame)
	
	-- Shopping List Frame
	self:removeRegions(ATSWShoppingListFrame, {1, 2}) -- N.B. other regions is/are text
	ATSWShoppingListFrame:SetWidth(ATSWShoppingListFrame:GetWidth() * FxMult + 20)
	ATSWShoppingListFrame:SetHeight(ATSWShoppingListFrame:GetHeight() * FyMult - 20)
	self:removeRegions(ATSWSLScrollFrame)
	self:skinScrollBar(ATSWSLScrollFrame)
	self:applySkin(ATSWShoppingListFrame)
	
	-- Custom Sorting Frame
	self:keepRegions(ATSWCSFrame, {8, 9, 10}) -- N.B. regions 8-10 are text
	ATSWCSFrame:SetWidth(ATSWFrame:GetWidth())
	self:moveObject(ATSWCSFrameCloseButton, "+", 28, "+", 8)
	self:removeRegions(ATSWCSUListScrollFrame)
	self:skinScrollBar(ATSWCSUListScrollFrame)
	self:removeRegions(ATSWCSSListScrollFrame)
	self:skinScrollBar(ATSWCSSListScrollFrame)
	self:skinEditBox(ATSWCSNewCategoryBox)
	self:applySkin(ATSWCSFrame)
	
end
